#Hide PowerShell Console #
Add-Type -Name Window -Namespace Console -MemberDefinition '
[DllImport("Kernel32.dll")]
public static extern IntPtr GetConsoleWindow();
[DllImport("user32.dll")]
public static extern bool ShowWindow(IntPtr hWnd, Int32 nCmdShow);
'
$consolePtr = [Console.Window]::GetConsoleWindow()
[Console.Window]::ShowWindow($consolePtr, 0)
Add-Type -Assembly System.Drawing

#### Initial Setup #################################################################
[void] [System.Reflection.Assembly]::LoadWithPartialName("System.Drawing") 
[void] [System.Reflection.Assembly]::LoadWithPartialName("System.Windows.Forms")  
$Form = New-Object System.Windows.Forms.Form
$Form.FormBorderStyle = [System.Windows.Forms.FormBorderStyle]::FixedSingle
$Form.StartPosition = "CenterScreen" #loads the window in the center of the screen
#### Disable Minimize And Maximize Box #############################################
$Form.MinimizeBox = $False
$Form.MaximizeBox = $False
$Form.WindowState = "Normal"
$Form.SizeGripStyle = "Hide"
$Form.Icon = [system.drawing.icon]::ExtractAssociatedIcon("C:\Windows\System32\WSReset.exe")

:Select_Apps_Start
$selection = "000000000000000000000000000000000000000"
$status = "1"
$page = "Apps"

:Select_Apps
$Form.Size = New-Object System.Drawing.Size(526,550)
if ( $status -eq "1" ) { $action = "Uninstall" } Else { $action = "Install" }
$Form.Text = "Windows 10 App Manager - Select " + $page + " To " + $action + " - [By MarioMasta64]"

###################### BUTTONS ##########################################################
 
#### Group boxes for buttons ########################################################
$groupBox = New-Object System.Windows.Forms.GroupBox
$groupBox.Location = New-Object System.Drawing.Size(0,0) 
$groupBox.size = New-Object System.Drawing.Size(512,512)
#### $groupBox.text = "DC Health checks:"
$Form.Controls.Add($groupBox)

#### Shorten ####
$DefaultImage = [System.Drawing.Image]::FromFile("icons\default.png")
$PluginImage = [System.Drawing.Image]::FromFile("icons\plugin.png")
$DefaultDrawingSize = New-Object System.Drawing.Size(64,64)

#### cr1 ####
$3DBuilder = [System.Drawing.Image]::FromFile("icons\Microsoft.3DBuilder.png")
$AppConnector = [System.Drawing.Image]::FromFile("icons\Microsoft.AppConnector.png")
$BingFinance = [System.Drawing.Image]::FromFile("icons\Microsoft.BingFinance.png")
$BingNews = [System.Drawing.Image]::FromFile("icons\Microsoft.BingNews.png")
$BingSports = [System.Drawing.Image]::FromFile("icons\Microsoft.BingSports.png")
$BingWeather = [System.Drawing.Image]::FromFile("icons\Microsoft.BingWeather.png")
$DesktopAppInstaller = [System.Drawing.Image]::FromFile("icons\Microsoft.DesktopAppInstaller.png")
$GetHelp = [System.Drawing.Image]::FromFile("icons\Microsoft.GetHelp.png")
$GetStarted = [System.Drawing.Image]::FromFile("icons\Microsoft.GetStarted.png")
$Messaging = [System.Drawing.Image]::FromFile("icons\Microsoft.Messaging.png")
$Microsoft3DViewer = [System.Drawing.Image]::FromFile("icons\Microsoft.Microsoft3DViewer.png")
$MicrosoftHoloLens = [System.Drawing.Image]::FromFile("icons\Microsoft.MicrosoftHoloLens.png")
$MicrosoftOfficeHub = [System.Drawing.Image]::FromFile("icons\Microsoft.MicrosoftOfficeHub.png")
$MicrosoftSolitaireCollection = [System.Drawing.Image]::FromFile("icons\Microsoft.MicrosoftSolitaireCollection.png")
$MicrosoftStickyNotes = [System.Drawing.Image]::FromFile("icons\Microsoft.MicrosoftStickyNotes.png")
$MixedRealityPortal = [System.Drawing.Image]::FromFile("icons\Microsoft.MixedReality.Portal.png")
$MSPaint = [System.Drawing.Image]::FromFile("icons\Microsoft.MSPaint.png")
$OfficeOneNote = [System.Drawing.Image]::FromFile("icons\Microsoft.Office.OneNote.png")
$OfficeSway = [System.Drawing.Image]::FromFile("icons\Microsoft.Office.Sway.png")
$OneConnect = [System.Drawing.Image]::FromFile("icons\Microsoft.OneConnect.png")
$People = [System.Drawing.Image]::FromFile("icons\Microsoft.People.png")
$Print3D = [System.Drawing.Image]::FromFile("icons\Microsoft.Print3D.png")
$ScreenSketch = [System.Drawing.Image]::FromFile("icons\Microsoft.ScreenSketch.png")
$StorePurchaseApp = [System.Drawing.Image]::FromFile("icons\Microsoft.StorePurchaseApp.png")
$SkypeApp = [System.Drawing.Image]::FromFile("icons\Microsoft.SkypeApp.png")
$Wallet = [System.Drawing.Image]::FromFile("icons\Microsoft.Wallet.png")
$WindowsAlarm = [System.Drawing.Image]::FromFile("icons\Microsoft.WindowsAlarms.png")
$WindowsCalculator = [System.Drawing.Image]::FromFile("icons\Microsoft.WindowsCalculator.png")
$WindowsCamera = [System.Drawing.Image]::FromFile("icons\Microsoft.WindowsCamera.png")
$WindowsCommunicationsApps_Calendar = [System.Drawing.Image]::FromFile("icons\Microsoft.WindowsCommunicationsApps_Calendar.png")
$WindowsCommunicationsApps_Mail = [System.Drawing.Image]::FromFile("icons\Microsoft.WindowsCommunicationsApps_Mail.png")
$WindowsFeedbackHub = [System.Drawing.Image]::FromFile("icons\Microsoft.WindowsFeedbackHub.png")
$WindowsMaps = [System.Drawing.Image]::FromFile("icons\Microsoft.WindowsMaps.png")
$WindowsPhotos = [System.Drawing.Image]::FromFile("icons\Microsoft.Windows.Photos.png")
$WindowsSoundRecorder = [System.Drawing.Image]::FromFile("icons\Microsoft.WindowsSoundRecorder.png")
$WindowsStore = [System.Drawing.Image]::FromFile("icons\Microsoft.WindowsStore.png")
$XboxApp = [System.Drawing.Image]::FromFile("icons\Microsoft.XboxApp.png")
$YourPhone = [System.Drawing.Image]::FromFile("icons\Microsoft.YourPhone.png")
$ZuneMusic = [System.Drawing.Image]::FromFile("icons\Microsoft.ZuneMusic.png")
$ZuneVideo = [System.Drawing.Image]::FromFile("icons\Microsoft.ZuneVideo.png")

$HEIFImageExtension = [System.Drawing.Image]::FromFile("icons\plugin.png")
$MPEG2VideoExtension = [System.Drawing.Image]::FromFile("icons\plugin.png")
$VP9VideoExtensions = [System.Drawing.Image]::FromFile("icons\plugin.png")
$WebMediaExtensions = [System.Drawing.Image]::FromFile("icons\plugin.png")
$WebpImageExtension = [System.Drawing.Image]::FromFile("icons\plugin.png")

#### Cursors ####
$AppStartingCursor = [System.Windows.Forms.Cursors]::AppStarting
$ArrowCursor = [System.Windows.Forms.Cursors]::Arrow
$CrossCursor = [System.Windows.Forms.Cursors]::Corss
$DefaultCursor = [System.Windows.Forms.Cursors]::Default
$HandCursor = [System.Windows.Forms.Cursors]::Hand
$HelpCursor = [System.Windows.Forms.Cursors]::Help
$HSplitCursor = [System.Windows.Forms.Cursors]::HSplit
$IBeamCursor = [System.Windows.Forms.Cursors]::IBeam
$NoCursor = [System.Windows.Forms.Cursors]::No
$NoMove2DCursor = [System.Windows.Forms.Cursors]::NoMove2D
$NoMoveHorizCursor = [System.Windows.Forms.Cursors]::NoMoveHoriz
$NoMoveVertCursor = [System.Windows.Forms.Cursors]::NoMoveVert
$PanEastCursor = [System.Windows.Forms.Cursors]::PanEast
$PanNECursor = [System.Windows.Forms.Cursors]::PanNE
$PanNorthCursor = [System.Windows.Forms.Cursors]::PanNorth
$PanNWCursor = [System.Windows.Forms.Cursors]::PanNW
$PanSECursor = [System.Windows.Forms.Cursors]::PanSE
$PanSouthCursor = [System.Windows.Forms.Cursors]::PanSouth
$PanSWCursor = [System.Windows.Forms.Cursors]::PanSW
$PanWestCursor = [System.Windows.Forms.Cursors]::PanWest
$SizeAllCursor = [System.Windows.Forms.Cursors]::SizeAll
$SizeNESWCursor = [System.Windows.Forms.Cursors]::SizeNESW
$SizeNSCursor = [System.Windows.Forms.Cursors]::SizeNS
$SizeNWSECursor = [System.Windows.Forms.Cursors]::SizeNWSE
$SizeWECursor = [System.Windows.Forms.Cursors]::SizeWE
$UpArrowCursor = [System.Windows.Forms.Cursors]::UpArrow
$VSplitCursor = [System.Windows.Forms.Cursors]::VSplit
$WaitCursorCursor = [System.Windows.Forms.Cursors]::Wait

$app1 = New-Object System.Windows.Forms.Button
$app1.Location = New-Object System.Drawing.Size(0,0)
$app1.Size = $DefaultDrawingSize
# $app1.Text = "a"
$app1.BackgroundImage = $3DBuilder
$app1.BackgroundImageLayout = "Zoom"
$app1.Add_Click({ $Form.Text = "action" })
$app1.Cursor = $HandCursor
 
$app2 = New-Object System.Windows.Forms.Button
$app2.Location = New-Object System.Drawing.Size(64,0)
$app2.Size = $DefaultDrawingSize
# $app2.Text = "b"
$app2.BackgroundImage = $WindowsAlarm
$app2.BackgroundImageLayout = "Zoom"
$app2.Add_Click({ $Form.Text = "action" })
$app2.Cursor = $HandCursor
 
$app3 = New-Object System.Windows.Forms.Button
$app3.Location = New-Object System.Drawing.Size(128,0)
$app3.Size = $DefaultDrawingSize
$app3.Text = "App Connector"
$app3.Image = $DefaultImage
$app3.BackgroundImageLayout = "Zoom"
$app3.Add_Click({ $Form.Text = "action" })
$app3.Cursor = $HandCursor
 
$app4 = New-Object System.Windows.Forms.Button
$app4.Location = New-Object System.Drawing.Size(192,0)
$app4.Size = $DefaultDrawingSize
# $app4.Text = "d"
$app4.BackgroundImage = $DesktopAppInstaller
$app4.BackgroundImageLayout = "Zoom"
$app4.Add_Click({ $Form.Text = "action" })
$app4.Cursor = $HandCursor
 
$app5 = New-Object System.Windows.Forms.Button
$app5.Location = New-Object System.Drawing.Size(256,0)
$app5.Size = $DefaultDrawingSize
# $app5.Text = "e"
$app5.BackgroundImage = $WindowsCommunicationsApps_Calendar
$app5.BackgroundImageLayout = "Zoom"
$app5.Add_Click({ $Form.Text = "action" })
$app5.Cursor = $HandCursor
 
$app6 = New-Object System.Windows.Forms.Button
$app6.Location = New-Object System.Drawing.Size(320,0)
$app6.Size = $DefaultDrawingSize
# $app6.Text = "e"
$app6.BackgroundImage = $WindowsCommunicationsApps_Mail
$app6.BackgroundImageLayout = "Zoom"
$app6.Add_Click({ $Form.Text = "action" })
$app6.Cursor = $HandCursor
 
$app7 = New-Object System.Windows.Forms.Button
$app7.Location = New-Object System.Drawing.Size(384,0)
$app7.Size = $DefaultDrawingSize
# $app7.Text = "f"
$app7.BackgroundImage = $WindowsCalculator
$app7.BackgroundImageLayout = "Zoom"
$app7.Add_Click({ $Form.Text = "action" })
$app7.Cursor = $HandCursor
 
$app8 = New-Object System.Windows.Forms.Button
$app8.Location = New-Object System.Drawing.Size(448,0)
$app8.Size = $DefaultDrawingSize
# $app8.Text = "g"
$app8.BackgroundImage = $WindowsCamera
$app8.BackgroundImageLayout = "Zoom"
$app8.Add_Click({ $Form.Text = "action" })
$app8.Cursor = $HandCursor

$app9 = New-Object System.Windows.Forms.Button
$app9.Location = New-Object System.Drawing.Size(0,64)
$app9.Size = $DefaultDrawingSize
# $app9.Text = "h"
$app9.BackgroundImage = $WindowsFeedbackHub
$app9.BackgroundImageLayout = "Zoom"
$app9.Add_Click({ $Form.Text = "action" })
$app9.Cursor = $HandCursor

$app10 = New-Object System.Windows.Forms.Button
$app10.Location = New-Object System.Drawing.Size(64,64)
$app10.Size = $DefaultDrawingSize
# $app10.Text = "i"
$app10.BackgroundImage = $GetHelp
$app10.BackgroundImageLayout = "Zoom"
$app10.Add_Click({ $Form.Text = "action" })
$app10.Cursor = $HandCursor

$app11 = New-Object System.Windows.Forms.Button
$app11.Location = New-Object System.Drawing.Size(128,64)
$app11.Size = $DefaultDrawingSize
# $app11.Text = "j"
$app11.BackgroundImage = $MicrosoftOfficeHub
$app11.BackgroundImageLayout = "Zoom"
$app11.Add_Click({ $Form.Text = "action" })
$app11.Cursor = $HandCursor

$app12 = New-Object System.Windows.Forms.Button
$app12.Location = New-Object System.Drawing.Size(192,64)
$app12.Size = $DefaultDrawingSize
# $app12.Text = "k"
$app12.BackgroundImage = $GetStarted
$app12.BackgroundImageLayout = "Zoom"
$app12.Add_Click({ $Form.Text = "action" })
$app12.Cursor = $HandCursor

$app13 = New-Object System.Windows.Forms.Button
$app13.Location = New-Object System.Drawing.Size(256,64)
$app13.Size = $DefaultDrawingSize
# $app13.Text = "l"
$app13.BackgroundImage = $SkypeApp
$app13.BackgroundImageLayout = "Zoom"
$app13.Add_Click({ $Form.Text = "action" })
$app13.Cursor = $HandCursor

$app14 = New-Object System.Windows.Forms.Button
$app14.Location = New-Object System.Drawing.Size(320,64)
$app14.Size = $DefaultDrawingSize
# $app14.Text = "m"
$app14.BackgroundImage = $ZuneMusic
$app14.BackgroundImageLayout = "Zoom"
$app14.Add_Click({ $Form.Text = "action" })
$app14.Cursor = $HandCursor

$app15 = New-Object System.Windows.Forms.Button
$app15.Location = New-Object System.Drawing.Size(384,64)
$app15.Size = $DefaultDrawingSize
# $app15.Text = "n"
$app15.BackgroundImage = $WindowsMaps
$app15.BackgroundImageLayout = "Zoom"
$app15.Add_Click({ $Form.Text = "action" })
$app15.Cursor = $HandCursor

$app16 = New-Object System.Windows.Forms.Button
$app16.Location = New-Object System.Drawing.Size(448,64)
$app16.Size = $DefaultDrawingSize
# $app16.Text = "o"
$app16.BackgroundImage = $Messaging
$app16.BackgroundImageLayout = "Zoom"
$app16.Add_Click({ $Form.Text = "action" })
$app16.Cursor = $HandCursor

$app17 = New-Object System.Windows.Forms.Button
$app17.Location = New-Object System.Drawing.Size(0,128)
$app17.Size = $DefaultDrawingSize
# $app17.Text = "p"
$app17.BackgroundImage = $MicrosoftSolitaireCollection
$app17.BackgroundImageLayout = "Zoom"
$app17.Add_Click({ $Form.Text = "action" })
$app17.Cursor = $HandCursor

$app18 = New-Object System.Windows.Forms.Button
$app18.Location = New-Object System.Drawing.Size(64,128)
$app18.Size = $DefaultDrawingSize
# $app18.Text = "q"
$app18.BackgroundImage = $Wallet
$app18.BackgroundImageLayout = "Zoom"
$app18.Add_Click({ $Form.Text = "action" })
$app18.Cursor = $HandCursor

$app19 = New-Object System.Windows.Forms.Button
$app19.Location = New-Object System.Drawing.Size(128,128)
$app19.Size = $DefaultDrawingSize
$app19.Text = "Microsoft Wi-Fi"
$app19.Image = $DefaultImage
$app19.BackgroundImageLayout = "Zoom"
$app19.Add_Click({ $Form.Text = "action" })
$app19.Cursor = $HandCursor

$app20 = New-Object System.Windows.Forms.Button
$app20.Location = New-Object System.Drawing.Size(192,128)
$app20.Size = $DefaultDrawingSize
# $app20.Text = "s"
$app20.BackgroundImage = $MixedRealityPortal
$app20.BackgroundImageLayout = "Zoom"
$app20.Add_Click({ $Form.Text = "action" })
$app20.Cursor = $HandCursor

$app21 = New-Object System.Windows.Forms.Button
$app21.Location = New-Object System.Drawing.Size(256,128)
$app21.Size = $DefaultDrawingSize
# $app21.Text = "t"
$app21.BackgroundImage = $BingFinance
$app21.BackgroundImageLayout = "Zoom"
$app21.Add_Click({ $Form.Text = "action" })
$app21.Cursor = $HandCursor

$app22 = New-Object System.Windows.Forms.Button
$app22.Location = New-Object System.Drawing.Size(320,128)
$app22.Size = $DefaultDrawingSize
# $app22.Text = "u"
$app22.BackgroundImage = $ZuneVideo
$app22.BackgroundImageLayout = "Zoom"
$app22.Add_Click({ $Form.Text = "action" })
$app22.Cursor = $HandCursor

$app23 = New-Object System.Windows.Forms.Button
$app23.Location = New-Object System.Drawing.Size(384,128)
$app23.Size = $DefaultDrawingSize
# $app23.Text = "v"
$app23.BackgroundImage = $BingNews
$app23.BackgroundImageLayout = "Zoom"
$app23.Add_Click({ $Form.Text = "action" })
$app23.Cursor = $HandCursor

$app24 = New-Object System.Windows.Forms.Button
$app24.Location = New-Object System.Drawing.Size(448,128)
$app24.Size = $DefaultDrawingSize
# $app24.Text = "w"
$app24.BackgroundImage = $OfficeOneNote
$app24.BackgroundImageLayout = "Zoom"
$app24.Add_Click({ $Form.Text = "action" })
$app24.Cursor = $HandCursor

$app25 = New-Object System.Windows.Forms.Button
$app25.Location = New-Object System.Drawing.Size(0,192)
$app25.Size = $DefaultDrawingSize
# $app25.Text = "x"
$app25.BackgroundImage = $OneConnect
$app25.BackgroundImageLayout = "Zoom"
$app25.Add_Click({ $Form.Text = "action" })
$app25.Cursor = $HandCursor

$app26 = New-Object System.Windows.Forms.Button
$app26.Location = New-Object System.Drawing.Size(64,192)
$app26.Size = $DefaultDrawingSize
# $app26.Text = "y"
$app26.BackgroundImage = $MSPaint
$app26.BackgroundImageLayout = "Zoom"
$app26.Add_Click({ $Form.Text = "action" })
$app26.Cursor = $HandCursor

$app27 = New-Object System.Windows.Forms.Button
$app27.Location = New-Object System.Drawing.Size(128,192)
$app27.Size = $DefaultDrawingSize
# $app27.Text = "z"
$app27.BackgroundImage = $People
$app27.BackgroundImageLayout = "Zoom"
$app27.Add_Click({ $Form.Text = "action" })
$app27.Cursor = $HandCursor

$app28 = New-Object System.Windows.Forms.Button
$app28.Location = New-Object System.Drawing.Size(192,192)
$app28.Size = $DefaultDrawingSize
$app28.Text = "Phone"
$app28.Image = $DefaultImage
$app28.BackgroundImageLayout = "Zoom"
$app28.Add_Click({ $Form.Text = "action" })
$app28.Cursor = $HandCursor

$app29 = New-Object System.Windows.Forms.Button
$app29.Location = New-Object System.Drawing.Size(256,192)
$app29.Size = $DefaultDrawingSize
# $app29.Text = "2"
$app29.BackgroundImage = $YourPhone
$app29.BackgroundImageLayout = "Zoom"
$app29.Add_Click({ $Form.Text = "action" })
$app29.Cursor = $HandCursor

$app30 = New-Object System.Windows.Forms.Button
$app30.Location = New-Object System.Drawing.Size(320,192)
$app30.Size = $DefaultDrawingSize
# $app30.Text = "3"
$app30.BackgroundImage = $WindowsPhotos
$app30.BackgroundImageLayout = "Zoom"
$app30.Add_Click({ $Form.Text = "action" })
$app30.Cursor = $HandCursor

$app31 = New-Object System.Windows.Forms.Button
$app31.Location = New-Object System.Drawing.Size(384,192)
$app31.Size = $DefaultDrawingSize
# $app31.Text = "4"
$app31.BackgroundImage = $ScreenSketch
$app31.BackgroundImageLayout = "Zoom"
$app31.Add_Click({ $Form.Text = "action" })
$app31.Cursor = $HandCursor

$app32 = New-Object System.Windows.Forms.Button
$app32.Location = New-Object System.Drawing.Size(448,192)
$app32.Size = $DefaultDrawingSize
# $app32.Text = "5"
$app32.BackgroundImage = $BingSports
$app32.BackgroundImageLayout = "Zoom"
$app32.Add_Click({ $Form.Text = "action" })
$app32.Cursor = $HandCursor

$app33 = New-Object System.Windows.Forms.Button
$app33.Location = New-Object System.Drawing.Size(0,256)
$app33.Size = $DefaultDrawingSize
# $app33.Text = "6"
$app33.BackgroundImage = $MicrosoftStickyNotes
$app33.BackgroundImageLayout = "Zoom"
$app33.Add_Click({ $Form.Text = "action" })
$app33.Cursor = $HandCursor

$app34 = New-Object System.Windows.Forms.Button
$app34.Location = New-Object System.Drawing.Size(64,256)
$app34.Size = $DefaultDrawingSize
# $app34.Text = "7"
$app34.BackgroundImage = $OfficeSway
$app34.BackgroundImageLayout = "Zoom"
$app34.Add_Click({ $Form.Text = "action" })
$app34.Cursor = $HandCursor

$app35 = New-Object System.Windows.Forms.Button
$app35.Location = New-Object System.Drawing.Size(128,256)
$app35.Size = $DefaultDrawingSize
# $app35.Text = "8"
$app35.BackgroundImage = $Microsoft3DViewer
$app35.BackgroundImageLayout = "Zoom"
$app35.Add_Click({ $Form.Text = "action" })
$app35.Cursor = $HandCursor

$app36 = New-Object System.Windows.Forms.Button
$app36.Location = New-Object System.Drawing.Size(192,256)
$app36.Size = $DefaultDrawingSize
# $app36.Text = "9"
$app36.BackgroundImage = $WindowsSoundRecorder
$app36.BackgroundImageLayout = "Zoom"
$app36.Add_Click({ $Form.Text = "action" })
$app36.Cursor = $HandCursor

$app37 = New-Object System.Windows.Forms.Button
$app37.Location = New-Object System.Drawing.Size(256,256)
$app37.Size = $DefaultDrawingSize
# $app37.Text = "0"
$app37.BackgroundImage = $BingWeather
$app37.BackgroundImageLayout = "Zoom"
$app37.Add_Click({ $Form.Text = "action" })
$app37.Cursor = $HandCursor

$app38 = New-Object System.Windows.Forms.Button
$app38.Location = New-Object System.Drawing.Size(320,256)
$app38.Size = $DefaultDrawingSize
# $app38.Text = "A"
$app38.BackgroundImage = $MicrosoftHoloLens
$app38.BackgroundImageLayout = "Zoom"
$app38.Add_Click({ $Form.Text = "action" })
$app38.Cursor = $HandCursor

$app39 = New-Object System.Windows.Forms.Button
$app39.Location = New-Object System.Drawing.Size(384,256)
$app39.Size = $DefaultDrawingSize
# $app39.Text = "B"
$app39.BackgroundImage = $XboxApp
$app39.BackgroundImageLayout = "Zoom"
$app39.Add_Click({ $Form.Text = "action" })
$app39.Cursor = $HandCursor
 
$app40 = New-Object System.Windows.Forms.Button
$app40.Location = New-Object System.Drawing.Size(448,256)
$app40.Size = $DefaultDrawingSize
# $app40.Text = "C"
$app40.BackgroundImage = $WindowsStore
$app40.BackgroundImageLayout = "Zoom"
$app40.Add_Click({ $Form.Text = "action" })
$app40.Cursor = $HandCursor

$plugin1 = New-Object System.Windows.Forms.Button
$plugin1.Location = New-Object System.Drawing.Size(0,320)
$plugin1.Size = $DefaultDrawingSize
$plugin1.Text = "Heif Image"
$plugin1.Image = $DefaultImage
$plugin1.BackgroundImageLayout = "Zoom"
$plugin1.Add_Click({ $Form.Text = "action" })
$plugin1.Cursor = $HandCursor

$plugin2 = New-Object System.Windows.Forms.Button
$plugin2.Location = New-Object System.Drawing.Size(64,320)
$plugin2.Size = $DefaultDrawingSize
$plugin2.Text = "MPEG-2 Video"
$plugin2.Image = $DefaultImage
$plugin2.BackgroundImageLayout = "Zoom"
$plugin2.Add_Click({ $Form.Text = "action" })
$plugin2.Cursor = $HandCursor

$plugin3 = New-Object System.Windows.Forms.Button
$plugin3.Location = New-Object System.Drawing.Size(128,320)
$plugin3.Size = $DefaultDrawingSize
$plugin3.Text = "VP9 Video"
$plugin3.Image = $DefaultImage
$plugin3.BackgroundImageLayout = "Zoom"
$plugin3.Add_Click({ $Form.Text = "action" })
$plugin3.Cursor = $HandCursor

$plugin4 = New-Object System.Windows.Forms.Button
$plugin4.Location = New-Object System.Drawing.Size(192,320)
$plugin4.Size = $DefaultDrawingSize
$plugin4.Text = "Web Media"
$plugin4.Image = $DefaultImage
$plugin4.BackgroundImageLayout = "Zoom"
$plugin4.Add_Click({ $Form.Text = "action" })
$plugin4.Cursor = $HandCursor

$plugin5 = New-Object System.Windows.Forms.Button
$plugin5.Location = New-Object System.Drawing.Size(256,320)
$plugin5.Size = $DefaultDrawingSize
$plugin5.Text = "WebP Image"
$plugin5.Image = $DefaultImage
$plugin5.BackgroundImageLayout = "Zoom"
$plugin5.Add_Click({ $Form.Text = "action" })
$plugin5.Cursor = $HandCursor

$reload1 = New-Object System.Windows.Forms.Button
$reload1.Location = New-Object System.Drawing.Size(448,448)
$reload1.Size = $DefaultDrawingSize
$reload1.Text = "Reload"
$reload1.Image = $DefaultImage
$reload1.BackgroundImageLayout = "Zoom"
$reload1.Add_Click({
	$Invocation = (Get-Variable MyInvocation -Scope 1).Value
	$CurrentDirectory = Split-Path $Invocation.MyCommand.Path
	$TestReload = $CurrentDirectory + "\test.ps1"
	$Form.Text = $CurrentDirectory + "\test.ps1"
	& $TestReload
})
$reload1.Cursor = $HandCursor

$option1 = New-Object System.Windows.Forms.Button
$option1.Location = New-Object System.Drawing.Size(0,448)
$option1.Size = $DefaultDrawingSize
$option1.Text = "Execute"
$option1.Image = $DefaultImage
$option1.BackgroundImageLayout = "Zoom"
$option1.Add_Click({ $Form.Text = "Execute" })
$option1.Cursor = $HandCursor

$option2 = New-Object System.Windows.Forms.Button
$option2.Location = New-Object System.Drawing.Size(64,448)
$option2.Size = $DefaultDrawingSize
$option2.Text = "Toggle (Un)install"
$option2.Image = $DefaultImage
$option2.BackgroundImageLayout = "Zoom"
$option2.Add_Click({ $Form.Text = "Toggle (Un)Install" })
$option2.Cursor = $HandCursor

$groupBox.Controls.Add($app1)
$groupBox.Controls.Add($app2)
$groupBox.Controls.Add($app3)
$groupBox.Controls.Add($app4)
$groupBox.Controls.Add($app5)
$groupBox.Controls.Add($app6)
$groupBox.Controls.Add($app7)
$groupBox.Controls.Add($app8)
$groupBox.Controls.Add($app9)
$groupBox.Controls.Add($app10)
$groupBox.Controls.Add($app11)
$groupBox.Controls.Add($app12)
$groupBox.Controls.Add($app13)
$groupBox.Controls.Add($app14)
$groupBox.Controls.Add($app15)
$groupBox.Controls.Add($app16)
$groupBox.Controls.Add($app17)
$groupBox.Controls.Add($app18)
$groupBox.Controls.Add($app19)
$groupBox.Controls.Add($app20)
$groupBox.Controls.Add($app21)
$groupBox.Controls.Add($app22)
$groupBox.Controls.Add($app23)
$groupBox.Controls.Add($app24)
$groupBox.Controls.Add($app25)
$groupBox.Controls.Add($app26)
$groupBox.Controls.Add($app27)
$groupBox.Controls.Add($app28)
$groupBox.Controls.Add($app29)
$groupBox.Controls.Add($app30)
$groupBox.Controls.Add($app31)
$groupBox.Controls.Add($app32)
$groupBox.Controls.Add($app33)
$groupBox.Controls.Add($app34)
$groupBox.Controls.Add($app35)
$groupBox.Controls.Add($app36)
$groupBox.Controls.Add($app37)
$groupBox.Controls.Add($app38)
$groupBox.Controls.Add($app39)
$groupBox.Controls.Add($app40)

$groupBox.Controls.Add($plugin1)
$groupBox.Controls.Add($plugin2)
$groupBox.Controls.Add($plugin3)
$groupBox.Controls.Add($plugin4)
$groupBox.Controls.Add($plugin5)

$groupBox.Controls.Add($reload)

$groupBox.Controls.Add($option1)
$groupBox.Controls.Add($option2)
$groupBox.Controls.Add($option3)
$groupBox.Controls.Add($option4)
$groupBox.Controls.Add($option5)
$groupBox.Controls.Add($option6)
$groupBox.Controls.Add($option7)
$groupBox.Controls.Add($option8)

#### Title - Powershell GUI Tool ###################################################
#### $Label = New-Object System.Windows.Forms.Label
#### $LabelFont = New-Object System.Drawing.Font("Calibri",18,[System.Drawing.FontStyle]::Bold)
#### $Label.Font = $LabelFont
#### $Label.Text = "Select Apps To " + $action
#### $Label.AutoSize = $True
#### $Label.Location = New-Object System.Drawing.Size(415,40) 
#### $Form.Controls.Add($Label)
 
#### Input window with "Server name" label ##########################################
#### $InputBox = New-Object System.Windows.Forms.TextBox 
#### $InputBox.Location = New-Object System.Drawing.Size(10,50) 
#### $InputBox.Size = New-Object System.Drawing.Size(180,20) 
#### $Form.Controls.Add($InputBox)
#### $Label2 = New-Object System.Windows.Forms.Label
#### $Label2.Text = "Server name:"
#### $Label2.AutoSize = $True
#### $Label2.Location = New-Object System.Drawing.Size(15,30) 
#### $Form.Controls.Add($Label2)
 
###################### END BUTTONS ######################################################
 
#### Output Box Field ###############################################################
#### $outputBox = New-Object System.Windows.Forms.RichTextBox
#### $outputBox.Location = New-Object System.Drawing.Size(200,100) 
#### $outputBox.Size = New-Object System.Drawing.Size(780,265)
#### $outputBox.Font = New-Object System.Drawing.Font("Consolas", 8 ,[System.Drawing.FontStyle]::Regular)
#### $outputBox.MultiLine = $True
#### $outputBox.ScrollBars = "Vertical"
#### $outputBox.Text = " `
####   Welcome to your first Powershell GUI Tool - Type Domain Controller name and press one of the available buttons."
#### $Form.Controls.Add($outputBox)
 
##############################################
 
$Form.Add_Shown({$Form.Activate()})
[void] $Form.ShowDialog()